name: Marissa Ferber
locality:
country: Remote
role: <a href="/job-families/people-group/talent-brand-and-talent-acquisition-enablement/#manager-global-enablement">Manager, Global Enablement</a>
reports_to: drogozinski
picture: marissaferber.png
pronouns: she/her
pronunciation:
twitter:
linkedin:
gitlab: marissaferber
departments:
  - Talent Acquisition
specialty: 
expertise:
story:

